Edit

Git - Update Connection Settings

Note

This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use. Learn more.

Updates the connection settings for a Git-connected workspace. Only properties included in the request body are updated; omitted properties remain unchanged.

Permissions

The caller must have an admin role for the workspace.

Required Delegated Scopes

Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/git/connectionSettings

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Request Body

Name Type Description
additionalRolesAuthorizedToChangeBranch

GitAdditionalBranchChangingRoles

The additional workspace roles beyond admin that are allowed to change the connected Git branch.

Responses

Name Type Description
200 OK

GitConnectionSettings

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

  • InsufficientPrivileges - The caller does not have an admin role for the workspace.

  • WorkspaceNotConnectedToGit - Workspace is not connected to git.

Examples

Update connection settings example

Sample request

PATCH https://api.fabric.microsoft.com/v1/workspaces/1565e6a3-c020-4c0c-dda7-92bafe99eec5/git/connectionSettings

{
  "additionalRolesAuthorizedToChangeBranch": "MemberAndContributor"
}

Sample response

{
  "additionalRolesAuthorizedToChangeBranch": "MemberAndContributor"
}

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GitAdditionalBranchChangingRoles

The additional workspace roles beyond admin that are allowed to change the connected Git branch. Additional values may be added over time.

GitConnectionSettings

Contains the Git connection settings.

UpdateGitConnectionSettingsRequest

Contains the request data to update the Git connection settings.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GitAdditionalBranchChangingRoles

The additional workspace roles beyond admin that are allowed to change the connected Git branch. Additional values may be added over time.

Value Description
None

No additional roles beyond admin can change branches. This is the default.

MemberAndContributor

Members and contributors can also change branches in addition to admins.

GitConnectionSettings

Contains the Git connection settings.

Name Type Description
additionalRolesAuthorizedToChangeBranch

GitAdditionalBranchChangingRoles

The additional workspace roles beyond admin that are allowed to change the connected Git branch.

UpdateGitConnectionSettingsRequest

Contains the request data to update the Git connection settings.

Name Type Description
additionalRolesAuthorizedToChangeBranch

GitAdditionalBranchChangingRoles

The additional workspace roles beyond admin that are allowed to change the connected Git branch.